All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.tableview
Interface TableRowModel

All Known Implementing Classes:
  DefaultTableRowModel

    public interface TableRowModel

Defines the requirements for a TableRowModel object suitable for use with a TableView.

Method Summary
`abstract TableRowRenderer` | `getColumnHeaderRowRenderer()` Returns the TableRowRenderer used to draw the begin and end row tags for the column headers row on the TableView.
`abstract java.util.Locale` | `getLocale()` Gets the locale.
`abstract TableCellRenderer` | `getRowHeaderRenderer()` Returns the TableCellRenderer used to draw the row headers.
`abstract void` | `setColumnHeaderRowRenderer(TableRowRenderer renderer)` Sets the TableRowRenderer used to draw the begin and end row tags for the column headers row on the TableView
`abstract void` | `setLocale(java.util.Locale loc)` Sets the locale.
`abstract void` | `setRowHeaderRenderer(TableCellRenderer rowHeaderRenderer)` Sets the TableCellRenderer used to draw the row headers.

Method Detail

### setColumnHeaderRowRenderer

    void setColumnHeaderRowRenderer(TableRowRenderer renderer)

  Sets the TableRowRenderer used to draw the begin and end row tags for the column headers row on the TableView

  Parameters:
    `renderer` - the new table row renderer

### getColumnHeaderRowRenderer

    TableRowRenderer getColumnHeaderRowRenderer()

  Returns the TableRowRenderer used to draw the begin and end row tags for the column headers row on the TableView. When the columnHeaderRowRenderer is null, the TableView uses its defaultRowRenderer. The default value for a columnHeaderRowRenderer is null.

  Returns:
    the columnHeaderRowRenderer property

### setRowHeaderRenderer

    void setRowHeaderRenderer(TableCellRenderer rowHeaderRenderer)

  Sets the TableCellRenderer used to draw the row headers.

  Parameters:
    `rowHeaderRenderer` - the new rowHeaderRenderer

### getRowHeaderRenderer

    TableCellRenderer getRowHeaderRenderer()

  Returns the TableCellRenderer used to draw the row headers. When the rowHeaderRenderer is null, the RowHeader uses its defaultRenderer. The default value for a rowHeaderRenderer is null.

  Returns:
    the rowHeaderRenderer property
  See Also:
    `BaseHeader.getDefaultRenderer()`

### setLocale

    void setLocale(java.util.Locale loc)

  Sets the locale.

  Parameters:
    `loc` - an instance of java.util.Locale

### getLocale

    java.util.Locale getLocale()

  Gets the locale.

  Returns:
    an instance of java.util.Locale

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.